com.google.gwt.text.shared

## Interface Parser<T>

Type Parameters:
  `T` - the type to parse

All Known Implementing Classes:
  DoubleParser, IntegerParser, LongParser, PassthroughParser

    public interface Parser<T>

An object that can parse text and return a value.

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `parse(java.lang.CharSequence text)`

### Method Detail

#### parse

    T parse(java.lang.CharSequence text)
     throws java.text.ParseException

Throws:
  `java.text.ParseException`